<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h3>Data Isian Inovasi</h3>
                        <p>Silahkan membaca deskripsi atau keterangan terlebih dahulu dari masing-masing isian dalam formulir ini. Jika terdapat pertanyaan dan kesulitan, silahkan berkoordinasi ke Whatsapp Grup "Koordinasi IGA DPS 2020"</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <!-- <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups"> -->
                            <!-- <div class="btn-group mr-2" role="group" aria-label="First group"> -->
                                Keterangan : &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-danger" style="pointer-events: none"></a>
                                Belum Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-warning" style="pointer-events: none"></a>
                                Belum Lengkap &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-success" style="pointer-events: none"></a>
                                Sudah Terisi &nbsp;&nbsp;&nbsp;
                                <a class="btn btn-light" style="pointer-events: none"></a>
                                Saat Ini
                            <!-- </div> -->
                        <!-- </div> -->
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <p>Daftar Pertanyaan</p>
                        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                            <div class="btn-group mr-2" role="group" aria-label="First group">
                                <button v-b-tooltip.hover title="Nama Inovasi" type="button" :class="inovasiStep==1 ? stepAktif : step1" @click.prevent="submitStep(1)">1</button>
                                <button v-b-tooltip.hover title="Tahapan Inovasi" type="button" :class="inovasiStep==2 ? stepAktif : step2" @click.prevent="submitStep(2)">2</button>
                                <button v-b-tooltip.hover title="Sistem Inovasi" type="button" :class="inovasiStep==3 ? stepAktif : step3" @click.prevent="submitStep(3)">3</button>
                                <button v-b-tooltip.hover title="Jenis Inovasi" type="button" :class="inovasiStep==4 ? stepAktif : step4" @click.prevent="submitStep(4)">4</button>
                                <button v-b-tooltip.hover title="Inovasi Berkaitan Covid-19" type="button" :class="inovasiStep==5 ? stepAktif : step5" @click.prevent="submitStep(5)">5</button>
                                <button v-b-tooltip.hover title="Bidang Fokus Inovasi" type="button" :class="inovasiStep==6 ? stepAktif : step6" @click.prevent="submitStep(6)">6</button>
                                <button v-b-tooltip.hover title="Urusan Inovasi" type="button" :class="inovasiStep==7 ? stepAktif : step7" @click.prevent="submitStep(7)">7</button>
                                <button v-b-tooltip.hover title="Waktu Ujicoba Inovasi" type="button" :class="inovasiStep==8 ? stepAktif : step8" @click.prevent="submitStep(8)">8</button>
                                <button v-b-tooltip.hover title="Waktu Implementasi Inovasi" type="button" :class="inovasiStep==9 ? stepAktif : step9" @click.prevent="submitStep(9)">9</button>
                                <button v-b-tooltip.hover title="Rancang Bangun Inovasi" type="button" :class="inovasiStep==10 ? stepAktif : step10" @click.prevent="submitStep(10)">10</button>
                                <button v-b-tooltip.hover title="Tujuan Inovasi" type="button" :class="inovasiStep==11 ? stepAktif : step11" @click.prevent="submitStep(11)">11</button>
                                <button v-b-tooltip.hover title="Manfaat Inovasi" type="button" :class="inovasiStep==12 ? stepAktif : step12" @click.prevent="submitStep(12)">12</button>
                                <button v-b-tooltip.hover title="Hasil Inovasi" type="button" :class="inovasiStep==13 ? stepAktif : step13" @click.prevent="submitStep(13)">13</button>
                                <button v-b-tooltip.hover title="Anggaran Inovasi" type="button" :class="inovasiStep==14 ? stepAktif : step14" @click.prevent="submitStep(14)">14</button>
                                <button v-b-tooltip.hover title="Proses Bisnis Inovasi" type="button" :class="inovasiStep==15 ? stepAktif : step15" @click.prevent="submitStep(15)">15</button>
                                <button v-b-tooltip.hover title="Logo Inovasi" type="button" :class="inovasiStep==16 ? stepAktif : step16" @click.prevent="submitStep(16)">16</button>
                                <button v-b-tooltip.hover title="Foto Inovasi" type="button" :class="inovasiStep==17 ? stepAktif : step17" @click.prevent="submitStep(17)">17</button>
                                <button v-b-tooltip.hover title="Video Inovasi" type="button" :class="inovasiStep==18 ? stepAktif : step18" @click.prevent="submitStep(18)">18</button>
                                <button v-b-tooltip.hover title="Pengalaman Inovasi" type="button" :class="inovasiStep==19 ? stepAktif : step19" @click.prevent="submitStep(19)">19</button>
                                <button v-b-tooltip.hover title="Penghargaan Inovasi" type="button" :class="inovasiStep==20 ? stepAktif : step20" @click.prevent="submitStep(20)">20</button>
                                <button v-b-tooltip.hover title="HKI Inovasi" type="button" :class="inovasiStep==21 ? stepAktif : step21" @click.prevent="submitStep(21)">21</button>
                            </div>
                        </div>
                        <hr>
                        <br>
                        <form class="forms-sample">
                            <div class="form-group" v-if="inovasiStep==1">
                                <label for="nama_singkat">1. Nama Inovasi Daerah <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <p style="font-size:12px; text-align: justify;">Nama Singkat Inovasi</p>
                                <input  type="text" maxlength="20"
                                    class="form-control"
                                    id="nama_singkat"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.nama_singkat"
                                    v-validate="'required'"
                                    name="nama_singkat"
                                    data-vv-as="Nama Singkat Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('nama_singkat') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Lengkap Inovasi</p>
                                <input  type="text" maxlength="50"
                                    class="form-control"
                                    id="nama_lengkap"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.nama_lengkap"
                                    v-validate="'required'"
                                    name="nama_lengkap"
                                    data-vv-as="Nama Singkat Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('nama_lengkap') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.tahapan_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==2">
                                <label for="exampleFormControlSelect1">2. Tahapan Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(tahapan_inovasi,index) in tahapaninovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input input-frame"
                                                id="tahapan_inovasi_id"
                                                :value="tahapan_inovasi.id"
                                                v-model="currentData.tahapan_inovasi_id"
                                                v-validate="'required'"
                                                name="tahapan_inovasi_id"
                                                data-vv-as="Tahapan Inovasi Daerah">
                                        {{ tahapan_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('tahapan_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(2)">Clear Selected</a>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.tahapan_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==3">
                                <label for="exampleFormControlSelect1">3. Sistem Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(sistem_inovasi,index) in sisteminovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="sistem_inovasi_id"
                                                :value="sistem_inovasi.id"
                                                v-model="currentData.sistem_inovasi_id"
                                                v-validate="'required'"
                                                name="sistem_inovasi_id"
                                                data-vv-as="Sistem Inovasi Daerah">
                                        {{ sistem_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('sistem_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(3)">Clear Selected</a>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.sistem_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==4">
                                <label for="exampleFormControlSelect1">4. Jenis Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(jenis_inovasi,index) in jenisinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="jenis_inovasi_id"
                                                :value="jenis_inovasi.id"
                                                v-model="currentData.jenis_inovasi_id"
                                                v-validate="'required'"
                                                name="jenis_inovasi_id"
                                                data-vv-as="Bentuk Inovasi Daerah">
                                        {{ jenis_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('jenis_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(4)">Clear Selected</a>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5"  v-model="comments.jenis_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==5">
                                <label for="exampleFormControlSelect1">5. Inovasi Daerah berkaitan Covid-19 <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(covid_inovasi,index) in covidinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="covid_inovasi_id"
                                                :value="covid_inovasi.id"
                                                v-model="currentData.covid_inovasi_id"
                                                v-validate="'required'"
                                                name="covid_inovasi_id"
                                                data-vv-as="Inovasi Daerah dalam rangka atau berkaitan dengan COVID-19">
                                        {{ covid_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('covid_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(5)">Clear Selected</a>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.covid_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==6">
                                <label for="exampleFormControlSelect1">6. Bidang Fokus Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(bidang_inovasi,index) in bidanginovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="bidang_inovasi_id"
                                                :value="bidang_inovasi.id"
                                                v-model="currentData.bidang_inovasi_id"
                                                v-validate="'required'"
                                                name="bidang_inovasi_id"
                                                data-vv-as="Inovasi Daerah dalam rangka atau berkaitan dengan COVID-19">
                                        {{ bidang_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('bidang_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(6)">Clear Selected</a>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.bidang_inovasi"  placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==7">
                                <label for="exampleFormControlSelect1">7. Urusan Inovasi Daerah <a style="color:red;">*</a></label>
                                <multiselect
                                        v-model="urusaninovasis"
                                        tag-placeholder="Add Urusan Inovasi Daerah"
                                        placeholder="Search or add Urusan Inovasi Daerah"
                                        :close-on-select="false"
                                        :clear-on-select="false"
                                        label="name"
                                        :options="options"
                                        :multiple="true"
                                        track-by="name"
                                        :max="3"
                                        :allow-empty="true"
                                        :preselect-first="false"
                                        @tag="addTag">
                                    </multiselect>
                                <div class="text-danger small">{{ veeErrors.first('nama') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.urusan_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==8">
                                <label for="exampleFormControlSelect1">8. Waktu Uji Coba Inovasi Daerah</label>
                                <input  type="date"
                                    class="form-control"
                                    id="waktu_ujicoba"
                                    v-model="currentData.waktu_ujicoba"
                                    v-validate="'required'"
                                    name="waktu_ujicoba"
                                    data-vv-as="Waktu Uji Coba Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('waktu_ujicoba') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.waktu_ujicoba" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==9">
                                <label for="exampleFormControlSelect1">9. Waktu Implementasi Inovasi Daerah</label>
                                <input  type="date"
                                    class="form-control"
                                    id="waktu_implementasi"
                                    v-model="currentData.waktu_implementasi"
                                    v-validate="'required'"
                                    name="waktu_implementasi"
                                    data-vv-as="Waktu Implementasi Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('waktu_implementasi') }}</div>
                                <br>
                              <!--   <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.waktu_implementasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==10">
                                <label>10. Rancang Bangun dan Pokok Perubahan yang Dilakukan <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="rancang_bangun"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.rancang_bangun"
                                        v-validate="'required'"
                                        name="rancang_bangun"
                                        data-vv-as="Rancang Bangun dan Pokok Perubahan yang Dilakukan"
                                        rows="7" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('rancang_bangun') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.rancang_bangun" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==11">
                                <label>11. Tujuan Inovasi Daerah<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="tujuan"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.tujuan"
                                        v-validate="'required'"
                                        name="tujuan"
                                        data-vv-as="Tujuan Inovasi Daerah"
                                        rows="7" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('tujuan') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.tujuan_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==12">
                                <label>12. Manfaat Inovasi Daerah <a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="manfaat"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.manfaat"
                                        v-validate="'required'"
                                        name="manfaat"
                                        data-vv-as="Manfaat Inovasi Daerah"
                                        rows="7" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('manfaat') }}</div>
                                <br>
                              <!--   <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.manfaat_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==13">
                                <label>13. Hasil Inovasi Daerah<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="hasil"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.hasil"
                                        v-validate="'required'"
                                        name="hasil"
                                        data-vv-as="Hasil Inovasi Daerah"
                                        rows="7" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('hasil') }}</div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.hasil_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==14">
                                <label for="exampleFormControlSelect1">14. Anggaran Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(anggaran_inovasi,index) in anggaraninovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="anggaran_inovasi_id"
                                                :value="anggaran_inovasi.id"
                                                v-model="currentData.anggaran_inovasi_id"
                                                v-validate="'required'"
                                                name="anggaran_inovasi_id"
                                                data-vv-as="Anggaran Inovasi Daerah">
                                        {{ anggaran_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('anggaran_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(14)">Clear Selected</a>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="ket_anggaran"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.ket_anggaran"
                                        v-validate="'required'"
                                        name="ket_anggaran"
                                        data-vv-as="Penjeasan Jawaban"
                                        rows="5" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('ket_anggaran') }}</div>
                                <br>
                                <label>Ketentuan File<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload file, max 3 file (doc/docx/pdf)</p>
                                <div v-for="file in file_anggaran">
                                    <img v-if="!file.error" :src="getFile(file.name)" alt="anggaran" width="100" height="auto" >
                                    <span v-else>Can't Preview File</span>
                                        <br/>
                                        <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                                        <br/>
                                    <span>File: {{file.name}}</span> |
                                    <span>Size: {{file.size | formatSize}}</span>|
                                    <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                                    <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                                    <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                                    <span v-else></span>
                                    <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                                    <button type="button" class="btn btn-danger" @click.prevent="removeAnggaran(file)">Remove</button>
                                    <hr/>
                                </div>

                                <file-upload
                                    class="btn btn-primary"
                                    post-action="upload/file_anggaran"
                                    extensions="doc,docx,pdf"
                                    accept="application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf"
                                    :multiple="false"
                                    v-model="file_anggaran"
                                    @input-filter="inputFilter"
                                    @input-file="uploadFileAnggaran"
                                    :maximum="3"
                                    ref="file_anggaran"
                                    :headers="{'X-CSRF-TOKEN': token}"
                                    :drop="true"
                                    name="file_anggaran"
                                    data-vv-as="Upload File"
                                    v-validate="'required'">
                                    <i class="fa fa-plus"></i>
                                    Select files
                                </file-upload>
                                <div class="text-danger small">{{ veeErrors.first('file_anggaran') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.anggaran_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==15">
                                <label for="exampleFormControlSelect1">15. Proses Bisnis Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="(proses_inovasi,index) in prosesinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="proses_inovasi_id"
                                                :value="proses_inovasi.id"
                                                v-model="currentData.proses_inovasi_id"
                                                v-validate="'required'"
                                                name="proses_inovasi_id"
                                                data-vv-as="Proses Bisnis Inovasi Daerah">
                                        {{ proses_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('proses_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(15)">Clear Selected</a>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="ket_proses"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.ket_proses"
                                        v-validate="'required'"
                                        name="ket_proses"
                                        data-vv-as="RPenjelasan Jawaban"
                                        rows="5" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('ket_proses') }}</div>
                                <br>
                                <label>Ketentuan File<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload file, max 3 file (ppt/pptx)</p>
                                <div v-for="file in file_proses">
                                    <img v-if="!file.error" :src="getFile(file.name)" alt="proses" width="100" height="auto" >
                                    <span v-else>Can't Preview File</span>
                                        <br/>
                                        <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                                            <br/>
                                    <span>File: {{file.name}}</span> |
                                    <span>Size: {{file.size | formatSize}}</span>|
                                    <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                                    <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                                    <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                                    <span v-else></span>
                                    <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                                        <button type="button" class="btn btn-danger" @click.prevent="removeProses(file)">Remove</button>
                                    <hr/>
                                </div>

                                <file-upload
                                    class="btn btn-primary"
                                    post-action="upload/file_proses"
                                    extensions="ppt,pptx"
                                    accept="application/vnd.ms-powerpoint,application/vnd.openxmlformats-officedocument.presentationml.presentation"
                                    :multiple="false"
                                    :maximum="3"
                                    v-model="file_proses"
                                    @input-filter="inputFilter"
                                    @input-file="uploadFileProses"
                                    ref="file_proses"
                                    :headers="{'X-CSRF-TOKEN': token}"
                                    :drop="true"
                                    name="file_proses"
                                    data-vv-as="Upload File"
                                    v-validate="'required'">
                                    <i class="fa fa-plus"></i>
                                    Select files
                                </file-upload>
                                <div class="text-danger small">{{ veeErrors.first('file_proses') }}</div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.proses_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==16">
                                <label>16. Logo Inovasi Daerah<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload Logo (jpg/jpeg)</p>
                                <div v-for="file in logo">
                                    <img v-if="!file.error" :src="getFile(file.name)" alt="logo" width="100" height="auto" >
                                    <span v-else>Can't Preview File</span>
                                        <br/>
                                        <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                                            <br/>
                                    <span>File: {{file.name}}</span> |
                                    <span>Size: {{file.size | formatSize}}</span>|
                                    <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                                    <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                                    <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                                    <span v-else></span>
                                    <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                                        <button type="button" class="btn btn-danger" @click.prevent="removeLogo(file)">Remove</button>
                                        <hr/>
                                </div>

                                <file-upload
                                    class="btn btn-primary"
                                    post-action="upload/logo"
                                    extensions="jpg,jpeg,png"
                                    accept="image/png,image/jpeg"
                                    :multiple="false"
                                    v-model="logo"
                                    @input-filter="inputFilter"
                                    @input-file="uploadLogo"
                                    ref="logo"
                                    :headers="{'X-CSRF-TOKEN': token}"
                                    :drop="true"
                                    name="logo"
                                    data-vv-as="Upload File"
                                    v-validate="'required'">
                                    <i class="fa fa-plus"></i>
                                    Select files
                                </file-upload>
                                <div class="text-danger small">{{ veeErrors.first('logo') }}</div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.logo_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==17">
                                <label>17. Kompilasi Foto Terbaik Inovasi Daerah<a style="color:red;">*</a></label>
                                <p style="font-size:12px; text-align: justify;">Silahkan upload Foto, max 3 foto (jpg/jpeg)</p>
                                <div v-for="file in photos">
                                    <img v-if="!file.error" :src="getFile(file.name)" alt="foto" width="100" height="auto" >
                                    <span v-else>Can't Preview File</span>
                                        <br/>
                                        <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                                            <br/>
                                    <span>File: {{file.name}}</span> |
                                    <span>Size: {{file.size | formatSize}}</span>|
                                    <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                                    <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                                    <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                                    <span v-else></span>
                                    <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                                    <button type="button" class="btn btn-danger" @click.prevent="removePhotos(file)">Remove</button>
                                        <hr/>
                                </div>
                                <file-upload
                                    class="btn btn-primary"
                                    post-action="upload/photos"
                                    extensions="jpg,jpeg,png,webp"
                                    accept="image/png,image/jpeg,image/webp"
                                    v-model="photos"
                                    @input-filter="inputFilter"
                                    @input-file="uploadPhotos"
                                    ref="photos"
                                    :multiple="false"
                                    :maximum="3"
                                    :headers="{'X-CSRF-TOKEN': token}"
                                    :drop="true"
                                    name="photos"
                                    data-vv-as="Upload File"
                                    v-validate="'required'">
                                    <i class="fa fa-plus"></i>
                                    Select files
                                </file-upload>
                                <div class="text-danger small">{{ veeErrors.first('photos') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.foto_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==18">
                                <label>18. Video Inovasi Daerah <a style="color:red;">*</a></label>
                                <div class="form-check" v-for="video_inovasi in videoinovasi">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                                class="form-check-input"
                                                id="video_inovasi_id"
                                                :value="video_inovasi.id"
                                                v-model="currentData.video_inovasi_id"
                                                v-validate="'required'"
                                                name="video_inovasi_id"
                                                data-vv-as="Video Inovasi Daerah">
                                        {{ video_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('video_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(18)">Clear Selected</a>
                                <br>
                                <label>Penjelasan Jawaban<a style="color:red;"><a style="color:red;">*</a></a></label>
                                <textarea
                                        class="form-control"
                                        id="ket_video"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="currentData.ket_video"
                                        v-validate="'required'"
                                        name="ket_video"
                                        data-vv-as="Penjelasan Jawaban"
                                        rows="5" />
                                        <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                                <div class="text-danger small">{{ veeErrors.first('ket_video') }}</div>

                                <div class="form-group" v-for="(linkvideo, index) in linkvideos" :key="index">
                                    <label>Link Youtube {{index+1}}<a style="color:red;">*</a></label>
                                    <input  type="text"
                                        class="form-control"
                                        id="link_video"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="linkvideo.link_video"
                                        v-validate="'required'"
                                        name="link_video"
                                        data-vv-as="Link Youtube">
                                    <div class="text-danger small">{{ veeErrors.first('link_video') }}</div>
                                    <hr />
                                </div>
                                <div class="form-group">
                                    <button @click="addLinkvideo" v-if="(linkvideos.length<3)" type="button" class="btn btn-success">Add Link</button>
                                    <button @click="deleteLinkvideo" v-if="(linkvideos.length>1)" type="button" class="btn btn-danger">Delete Link</button>
                                </div>
                                <br>
                               <!--  <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.video_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==19">
                                <label>19. Pengalaman Kompetisi Inovasi Daerah</label>
                                <div v-for="(pengalaman, index) in pengalamans" :key="index">
                                    <label>Pengalaman Kompetisi Inovasi Daerah ke - {{index+1}}</label>
                                    <p style="font-size:12px; text-align: justify;">Nama Kompetisi</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="nama_pengalaman"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="pengalaman.nama_pengalaman"
                                        name="nama_pengalaman"
                                        data-vv-as="Nama Kompetisi">
                                    <div class="text-danger small">{{ veeErrors.first('nama_pengalaman') }}</div>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Penyelenggara</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="penyelenggara"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="pengalaman.penyelenggara"
                                        name="penyelenggara"
                                        data-vv-as="Penyelenggara">
                                    <div class="text-danger small">{{ veeErrors.first('penyelenggara') }}</div>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Tahun</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="tahun_pengalaman"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="pengalaman.tahun_pengalaman"
                                        name="tahun_pengalaman"
                                        data-vv-as="tahun_pengalaman">
                                    <div class="text-danger small">{{ veeErrors.first('tahun_pengalaman') }}</div>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Predikat yang diraih</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="predikat"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="pengalaman.predikat"
                                        name="predikat"
                                        data-vv-as="Predikat yang diraih">
                                    <div class="text-danger small">{{ veeErrors.first('predikat') }}</div>
                                    <hr />
                                </div>
                                <div class="form-group">
                                    <button @click="addPengalaman" type="button" class="btn btn-success">Add Pengalaman</button>
                                    <button @click="deletePengalaman" v-if="(pengalamans.length>1)" type="button" class="btn btn-danger">Delete Pengalaman</button>
                                </div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" v-model="comments.pengalaman_inovasi" rows="5" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==20">
                                <label>20. Penghargaan Inovasi Daerah</label>
                                <div v-for="(penghargaan, index) in penghargaans" :key="index">
                                    <label>Penghargaan Inovasi Daerah ke - {{index+1}}</label>
                                    <p style="font-size:12px; text-align: justify;">Nama Penghargaan</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="nama_penghargaan"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="penghargaan.nama_penghargaan"
                                        name="nama_penghargaan"
                                        data-vv-as="Nama Penghargaan">
                                    <div class="text-danger small">{{ veeErrors.first('nama_penghargaan') }}</div>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Pemberi Penghargaan</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="pemberi_penghargaan"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="penghargaan.pemberi_penghargaan"
                                        name="pemberi_penghargaan"
                                        data-vv-as="Pemberi Penghargaan">
                                    <div class="text-danger small">{{ veeErrors.first('pemberi_penghargaan') }}</div>
                                    <br>
                                    <p style="font-size:12px; text-align: justify;">Tahun</p>
                                    <input  type="text"
                                        class="form-control"
                                        id="tahun_penghargaan"
                                        autocomplete="off"
                                        placeholder="Your answer"
                                        v-model="penghargaan.tahun_penghargaan"
                                        name="tahun_penghargaan"
                                        data-vv-as="tahun_penghargaan">
                                    <div class="text-danger small">{{ veeErrors.first('tahun_penghargaan') }}</div>
                                    <hr />
                                </div>
                                <div class="form-group">
                                    <button @click="addPenghargaan" type="button" class="btn btn-success">Add Penghargaan</button>
                                    <button @click="deletePenghargaan" v-if="(penghargaans.length>1)" type="button" class="btn btn-danger">Delete Penghargaan</button>
                                </div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.penghargaan_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                            <div class="form-group" v-if="inovasiStep==21">
                                <label>21. Hak Kekayaan Intelektual (HKI)</label>
                                <p style="font-size:12px; text-align: justify;">Nomor</p>
                                <input  type="text"
                                    class="form-control"
                                    id="nomor"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.nomor"
                                    name="nomor"
                                    data-vv-as="Nomor">
                                <div class="text-danger small">{{ veeErrors.first('nomor') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Tanggal Permohonan</p>
                                <input  type="date"
                                    class="form-control"
                                    id="tanggal"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.tanggal"
                                    name="tanggal"
                                    data-vv-as="Tanggal Permohonan">
                                <div class="text-danger small">{{ veeErrors.first('tanggal') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Pencipta</p>
                                <input  type="text"
                                    class="form-control"
                                    id="nama_pencipta"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.nama_pencipta"
                                    name="nama_pencipta"
                                    data-vv-as="Nama Pencipta">
                                <div class="text-danger small">{{ veeErrors.first('nama_pencipta') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Pemegang Hak Cipta</p>
                                <input  type="text"
                                    class="form-control"
                                    id="pemegang_hakcipta"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.pemegang_hakcipta"
                                    name="pemegang_hakcipta"
                                    data-vv-as="RNama Pemegang Hak Cipta">
                                <div class="text-danger small">{{ veeErrors.first('pemegang_hakcipta') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Jenis Ciptaan</p>
                                <input  type="text"
                                    class="form-control"
                                    id="jenis_ciptaan"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.jenis_ciptaan"
                                    name="jenis_ciptaan"
                                    data-vv-as="Jenis Ciptaan">
                                <div class="text-danger small">{{ veeErrors.first('jenis_ciptaan') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Judul Ciptaan</p>
                                <input  type="text"
                                    class="form-control"
                                    id="judul_ciptaan"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.judul_ciptaan"
                                    name="judul_ciptaan"
                                    data-vv-as="Judul Ciptaan">
                                <div class="text-danger small">{{ veeErrors.first('judul_ciptaan') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nomor Pencatatan</p>
                                <input  type="text"
                                    class="form-control"
                                    id="nomor_pencatatan"
                                    autocomplete="off"
                                    placeholder="Your answer"
                                    v-model="currentData.nomor_pencatatan"
                                    name="nomor_pencatatan"
                                    data-vv-as="Nomor Pencatatan">
                                <div class="text-danger small">{{ veeErrors.first('nomor_pencatatan') }}</div>
                                <br>
                                <!-- <hr>
                                <label>Komentar Innovator:</label>
                                <textarea class="form-control" rows="5" v-model="comments.hki_inovasi" placeholder="Your answer"></textarea> -->
                            </div>
                        </form>
                        <br>
                        <button class="btn btn-primary" type="submit" v-if="inovasiStep!=1?'disabled':''" @click.prevent="submitStep(inovasiStep-1)">Previous</button>
                        <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="inovasiStep!=21?'disabled':''" @click.prevent="submitStep(inovasiStep+1)">Submit & Next</button>
                    </div>
                </div>
            </div>
        </div>
        <button class="btn btn-primary" type="submit"  @click.prevent="back('DataInovasi')">Kembali</button>
        <button class="btn btn-danger" type="submit"  @click.prevent="notInput()">Batalkan input inovasi</button>
        <button class="btn btn-success float-right my-2 my-lg-0" type="submit" @click.prevent="submitFinish(21)">Finalisasi inovasi</button>
    </div>
</template>

<script>
    import Multiselect from 'vue-multiselect'
    import 'vue-multiselect/dist/vue-multiselect.min.css';

    export default {
        props: ['dataprops'],
        components: {
            Multiselect,
        },
        filters: {
        formatSize: function (value) {
            if (!value) return ''
                let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },
        //Binding Data
        data() {
            return {
                component:'InovasiNonopd',
                token:document.head.querySelector('meta[name="csrf-token"]').content,

                currentData:{
                    id:'',
                    innovator_id:'',
                    nama_singkat:'',
                    nama_lengkap:'',
                    tahapan_inovasi_id:1,
                    inisiator_inovasi_id:1,
                    sistem_inovasi_id:1,
                    bentuk_inovasi_id:1,
                    jenis_inovasi_id:1,
                    covid_inovasi_id:1,
                    bidang_inovasi_id:1,
                    urusaninovasi:[],
                    waktu_ujicoba:'',
                    waktu_implementasi:'',

                    rancang_bangun:'',
                    tujuan:'',
                    manfaat:'',
                    hasil:'',
                    anggaran_inovasi_id:1,
                    ket_anggaran:'',
                    file_anggaran:[],
                    proses_inovasi_id:1,
                    ket_proses:'',
                    file_proses:[],
                    logo:'',
                    photos:[],
                    video_inovasi_id:1,
                    ket_video:'',

                    //hak kekayaan intelektual (HKI)
                    nomor:'',
                    tanggal:'',
                    nama_pencipta:'',
                    pemegang_hakcipta:'',
                    jenis_ciptaan:'',
                    judul_ciptaan:'',
                    nomor_pencatatan:'',

                    //dynamic form
                    linkvideos:[{
                        link_video:'',
                    }],
                    pengalamans:[{
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }],
                    penghargaans:[{
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }],
                    //check data when submitFinish
                    checkinovasi:0,
                },
                //dynamic form
                linkvideos:[{
                    link_video:'',
                }],
                pengalamans:[{
                    nama_pengalaman:'',
                    penyelenggara:'',
                    tahun_pengalaman:'',
                    predikat:''
                }],
                penghargaans:[{
                    nama_penghargaan:'',
                    pemberi_penghargaan:'',
                    tahun_penghargaan:'',
                }],
                //innovator
                //initializing property funtion get data
                tahapaninovasi:[],
                inisiatorinovasi:[],
                sisteminovasi:[],
                bentukinovasi:[],
                jenisinovasi:[],
                covidinovasi:[],
                bidanginovasi:[],
                urusaninovasis:[],
                options: [
                ],
                anggaraninovasi:[],
                prosesinovasi:[],
                videoinovasi:[],

                //initializing property upload file
                // files: [],
                file_anggaran:[],
                file_proses:[],
                logo:[],
                photos:[],

                //comment
                comments:{
                    nama_inovasi:[],
                    tahapan_inovasi:[],
                    sistem_inovasi:[],
                    jenis_inovasi:[],
                    covid_inovasi:[],
                    bidang_inovasi:[],
                    urusan_inovasi:[],
                    waktu_ujicoba:[],
                    waktu_implementasi:[],
                    //
                    rancang_bangun:[],
                    tujuan_inovasi:[],
                    manfaat_inovasi:[],
                    hasil_inovasi:[],
                    anggaran_inovasi:[],
                    proses_inovasi:[],
                    logo_inovasi:[],
                    foto_inovasi:[],
                    video_inovasi:[],
                    pengalaman_inovasi:[],
                    penghargaan_inovasi:[],
                    hki_inovasi:[],
                },
                dataComments:{
                    id:'',
                    auditor_id:1,
                    innovation_id:'',
                    data:[]
                },
                // image_folder:"iconFile"
                image_folder:"iconFile",

                //Step Inovasi
                inovasiStep:1,
                stepAktif:'btn btn-light',
                step1:'btn btn-danger',
                step2:'btn btn-danger',
                step3:'btn btn-danger',
                step4:'btn btn-danger',
                step5:'btn btn-danger',
                step6:'btn btn-danger',
                step7:'btn btn-danger',
                step8:'btn btn-danger',
                step9:'btn btn-danger',
                step10:'btn btn-danger',
                step11:'btn btn-danger',
                step12:'btn btn-danger',
                step13:'btn btn-danger',
                step14:'btn btn-danger',
                step15:'btn btn-danger',
                step16:'btn btn-danger',
                step17:'btn btn-danger',
                step18:'btn btn-danger',
                step19:'btn btn-danger',
                step20:'btn btn-danger',
                step21:'btn btn-danger',
                step22:'btn btn-danger',
                step23:'btn btn-danger',
            }
        },

        created(){
            this.initial();
            this.getInnovator();
            this.createInovasi();
            this.getTahapanInovasi();
            this.getInisiatorInovasi();
            this.getSistemInovasi();
            this.getBentukInovasi();
            this.getJenisInovasi();
            this.getCovidInovasi();
            this.getBidangInovasi();
            this.getUrusanInovasi();
            this.getUrusanInovasi();
            this.getAnggaranInovasi();
            this.getProsesInovasi();
            this.getVideoInovasi();

        },

        methods: {
            addTag (newTag) {
            const tag = {
                id: newTag,
                name: newTag,
            }
            this.urusaninovasis.push(tag)
            this.options.push(tag)
            },
            notInput(){
                Swal.fire({
                title: 'Apakah kamu yakin?',
                text: "Batalkan input inovasi!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Iya, batalkan!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        this.deleteInovasi()
                        let visit = 'DataInovasi'
                        let data = {
                            visit
                        }
                        this.$emit('datacomponent', data)
                    }
                })
            },
            async deleteInovasi(){
                let id = this.currentData.id
                let url = `deleteinovasi/${id}`
                // console.log(url)
                await axios.post(url).then(response => {
                })
            },
            initial(){
                // this.currentData.id = this.dataprops.id
                // this.urusaninovasis = this.dataprops.data.urusaninovasi
            },
            getInnovator(){
                let url = 'getinnovator'
                axios.get(url).then(response => {
                   this.currentData.innovator_id = response.data.id
                })
            },
            getAnggaranInovasi(){
                let url = 'get/anggaraninovasi'
                axios.get(url).then(response => {
                   this.anggaraninovasi = response.data
                })
            },
            getProsesInovasi(){
                let url = 'get/prosesinovasi'
                axios.get(url).then(response => {
                   this.prosesinovasi = response.data
                })
            },
            getVideoInovasi(){
                let url = 'get/videoinovasi'
                axios.get(url).then(response => {
                   this.videoinovasi = response.data
                })
            },

            //function dynamic form
            addLinkvideo() {
                if (this.linkvideos.length<=2) {
                    let form = {
                        link_video:'',
                    }
                    this.linkvideos.push(form)
                }
            },
            deleteLinkvideo() {
                if (this.linkvideos.length>1) {
                    let form = {
                        link_video:'',
                    }
                    this.linkvideos.pop(form)
                }
            },
            addPenghargaan() {
                    let form = {
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }
                    this.penghargaans.push(form)
            },
            deletePenghargaan() {
                if (this.penghargaans.length>1) {
                    let form = {
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }
                    this.penghargaans.pop(form)
                }
            },
            addPengalaman() {
                let form = {
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }
                this.pengalamans.push(form)
            },
            deletePengalaman() {
                if (this.pengalamans.length>1) {
                    let form = {
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }
                    this.pengalamans.pop(form)
                }
            },
            unselect(number){
                (number===2)?this.currentData.tahapan_inovasi_id=1:'';
                (number===3)?this.currentData.sistem_inovasi_id=1:'';
                (number===4)?this.currentData.jenis_inovasi_id=1:'';
                (number===5)?this.currentData.covid_inovasi_id=1:'';
                (number===6)?this.currentData.bidang_inovasi_id=1:'';
                (number===14)?this.currentData.anggaran_inovasi_id=1:'';
                (number===15)?this.currentData.proses_inovasi_id=1:'';
                (number===18)?this.currentData.video_inovasi_id=1:'';
            },
            //function to get all data from laravel route (Frontend/Home)
            getTahapanInovasi() {
                let url = 'get/tahapaninovasi'
                axios.get(url).then(response => {
                   this.tahapaninovasi = response.data
                })
            },
            getInisiatorInovasi(){
                let url = 'get/inisiatorinovasi'
                axios.get(url).then(response => {
                   this.inisiatorinovasi = response.data
                })
            },
            getSistemInovasi(){
                let url = 'get/sisteminovasi'
                axios.get(url).then(response => {
                   this.sisteminovasi = response.data
                })
            },
            getBentukInovasi(){
                let url = 'get/bentukinovasi'
                axios.get(url).then(response => {
                   this.bentukinovasi = response.data
                })
            },
            getJenisInovasi(){
                let url = 'get/jenisinovasi'
                axios.get(url).then(response => {
                   this.jenisinovasi = response.data
                })
            },
            getCovidInovasi(){
                let url = 'get/covidinovasi'
                axios.get(url).then(response => {
                   this.covidinovasi = response.data
                })
            },
            getBidangInovasi(){
                let url = 'get/bidanginovasi'
                axios.get(url).then(response => {
                   this.bidanginovasi = response.data
                })
            },
            getUrusanInovasi(){
                let url = 'get/urusaninovasi'
                axios.get(url).then(response => {
                //    this.urusaninovasi = response.data
                   this.options = response.data
                //    this.options.urusanid = response.data
                })
            },
            submitStep(step){
                this.inovasiStep = step
                this.submit()
                // step 1
                if (this.currentData.nama_singkat!='' && this.currentData.nama_lengkap !='') {
                    this.step1 = 'btn btn-success'
                }else if (this.currentData.nama_singkat!='' || this.currentData.nama_lengkap !='') {
                    this.step1 = 'btn btn-warning'
                }else{
                    this.step1 = 'btn btn-danger'
                }
                //step 2
                (this.currentData.tahapan_inovasi_id!=1)?this.step2 = 'btn btn-success': this.step2 = 'btn btn-danger';
                //step 3
                // (this.currentData.inisiator_inovasi_id!=1)? this.step3 = 'btn btn-success': this.step3 = 'btn btn-danger';
                //step 4
                (this.currentData.sistem_inovasi_id!=1)? this.step3 = 'btn btn-success':this.step3 = 'btn btn-danger';
                //step 5
                // (this.currentData.bentuk_inovasi_id!=1)?this.step5 = 'btn btn-success':this.step5 = 'btn btn-danger';
                //step 6
                (this.currentData.jenis_inovasi_id!=1)?this.step4 = 'btn btn-success':this.step4 = 'btn btn-danger';
                //step 7
                (this.currentData.covid_inovasi_id!=1)?this.step5 = 'btn btn-success':this.step5 = 'btn btn-danger';
                //step 8
                (this.currentData.bidang_inovasi_id!=1)?this.step6 = 'btn btn-success':this.step6 = 'btn btn-danger';
                // step 9
                (this.urusaninovasis!='')?this.step7 = 'btn btn-success':this.step7 = 'btn btn-danger';
                // step 10
                (this.currentData.waktu_ujicoba!='')?this.step8 = 'btn btn-success':this.step8 = 'btn btn-danger';
                // step 11
                (this.currentData.waktu_implementasi!='')?this.step9 = 'btn btn-success':this.step9 = 'btn btn-danger';
                // step 12
                (this.currentData.rancang_bangun!='')?this.step10 = 'btn btn-success':this.step10 = 'btn btn-danger';
                // step 13
                (this.currentData.tujuan!='')?this.step11 = 'btn btn-success':this.step11 = 'btn btn-danger';
                // step 14
                (this.currentData.manfaat!='')?this.step12 = 'btn btn-success':this.step12 = 'btn btn-danger';
                // step 15
                (this.currentData.hasil!='')?this.step13 = 'btn btn-success':this.step13 = 'btn btn-danger';

                // step 16
                if (this.currentData.anggaran_inovasi_id!=1 && this.currentData.ket_anggaran !='' && this.file_anggaran !='') {
                    this.step14 = 'btn btn-success'
                }else if (this.currentData.anggaran_inovasi_id!=1 || this.currentData.ket_anggaran !='' || this.file_anggaran !='') {
                    this.step14 = 'btn btn-warning'
                }else{
                    this.step14 = 'btn btn-danger'
                }
                // step 17
                if (this.currentData.proses_inovasi_id!=1 && this.currentData.ket_proses !='' && this.file_proses !='') {
                    this.step15 = 'btn btn-success'
                }else if (this.currentData.proses_inovasi_id!=1 || this.currentData.ket_proses !='' || this.file_proses !='') {
                    this.step15 = 'btn btn-warning'
                }else{
                    this.step15 = 'btn btn-danger'
                }
                // step 18
                (this.logo!='')?this.step16 = 'btn btn-success':this.step16 = 'btn btn-danger';
                // step 19
                (this.photos!='')?this.step17 = 'btn btn-success':this.step17 = 'btn btn-danger';
                // step 20
                if (this.currentData.video_inovasi_id !=1 && this.currentData.ket_video !='' && this.linkvideos[0].link_video !='') {
                    this.step18 = 'btn btn-success'
                }else if (this.currentData.video_inovasi_id!=1 || this.currentData.ket_video !='' || this.linkvideos[0].link_video !='') {
                    this.step18 = 'btn btn-warning'
                }else{
                    this.step18 = 'btn btn-danger'
                }
                // // step 21
                if (this.pengalamans[0].nama_pengalaman !='' && this.pengalamans[0].penyelenggara !='' && this.pengalamans[0].tahun_pengalaman !='' && this.pengalamans[0].predikat !='') {
                    this.step19 = 'btn btn-success'
                }else if (this.pengalamans[0].nama_pengalaman !='' || this.pengalamans[0].penyelenggara !='' || this.pengalamans[0].tahun_pengalaman !='' || this.pengalamans[0].predikat !='') {
                    this.step19 = 'btn btn-warning'
                }else{
                    this.step19 = 'btn btn-danger'
                }
                // step 22
                if (this.penghargaans[0].nama_penghargaan !='' && this.penghargaans[0].pemberi_penghargaan !='' && this.penghargaans[0].tahun_penghargaan) {
                    this.step20 = 'btn btn-success'
                }else if (this.penghargaans[0].nama_penghargaan !='' || this.penghargaans[0].pemberi_penghargaan !='' || this.penghargaans[0].tahun_penghargaan) {
                    this.step20 = 'btn btn-warning'
                }else{
                    this.step20 = 'btn btn-danger'
                }
                // step 23
                if (this.currentData.nomor !='' && this.currentData.tanggal !='' && this.currentData.nama_pencipta !='' && this.currentData.pemegang_hakcipta !=''  && this.currentData.jenis_ciptaan !='' && this.currentData.judul_ciptaan !=''  && this.currentData.nomor_pencatatan !='') {
                    this.step21 = 'btn btn-success'
                }else if (this.currentData.nomor !='' || this.currentData.tanggal !='' || this.currentData.nama_pencipta !='' || this.currentData.pemegang_hakcipta !=''  || this.currentData.jenis_ciptaan !='' || this.currentData.judul_ciptaan !=''  || this.currentData.nomor_pencatatan !='') {
                    this.step21 = 'btn btn-warning'
                }else{
                    this.step21 = 'btn btn-danger'
                }


            },
            //function when user click the button submit
            submit(){
                //fle
                if (this.logo!=0) {
                    this.currentData.logo =`${this.logo[0].response.file}`
                }else{
                    this.currentData.logo=[];
                }
                if (this.file_proses!=0) {
                    this.currentData.file_proses=[];
                    this.file_proses.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.file_proses.push(data)
                    });
                    this.currentData.file_proses = JSON.stringify(this.currentData.file_proses)
                }else{
                    this.currentData.file_proses=[];
                }
                if (this.file_anggaran!=0) {
                    this.currentData.file_anggaran=[];
                    this.file_anggaran.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.file_anggaran.push(data)
                    });
                    this.currentData.file_anggaran = JSON.stringify(this.currentData.file_anggaran)
                }else{
                    this.currentData.file_anggaran=[];
                }
                if (this.photos!='') {
                    this.currentData.photos=[];
                    this.photos.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.photos.push(data)
                    });
                    this.currentData.photos = JSON.stringify(this.currentData.photos)
                }else{
                    this.currentData.photos=[];
                }

                //dynamic form
                this.currentData.urusaninovasi = JSON.stringify(this.urusaninovasis)
                //clone useing lodash
                this.currentData.linkvideos =  _.cloneDeep(this.linkvideos)
                this.currentData.linkvideos = JSON.stringify(this.currentData.linkvideos)
                this.currentData.pengalamans =  _.cloneDeep(this.pengalamans)
                this.currentData.pengalamans = JSON.stringify(this.currentData.pengalamans)
                this.currentData.penghargaans =  _.cloneDeep(this.penghargaans)
                this.currentData.penghargaans = JSON.stringify(this.currentData.penghargaans)
                this.dataComments.data = []
                this.dataComments.data = JSON.stringify(this.comments)
                this.insertData()
                this.insertComment()
            },
            //function when user click the button submitFinish
            submitFinish(){
                // this.currentData.urusaninovasi = JSON.stringify(this.urusaninovasis)

                // check data when submitFinish
                if (this.step1=='btn btn-success' && this.step2=='btn btn-success' && this.step3=='btn btn-success' && this.step4=='btn btn-success' && this.step5=='btn btn-success' &&
                    this.step6=='btn btn-success' &&  this.step7=='btn btn-success' && this.step8=='btn btn-success' && this.step9=='btn btn-success' && this.step10=='btn btn-success' &&
                    this.step11=='btn btn-success' &&  this.step12=='btn btn-success' && this.step13=='btn btn-success' && this.step14=='btn btn-success' && this.step15=='btn btn-success' &&
                    this.step16=='btn btn-success' &&  this.step17=='btn btn-success' && this.step18=='btn btn-success'
                    ) {
                    this.currentData.checkinovasi=1
                    // to next component
                    this.toNextComponent('DataInovasi')
                    Toast.success('Input data Innovation sudah selesai!');

                }else{
                    Toast.warning('Error! Tolong check step 1 - 18 ');
                }
                this.submit()
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },
            //insert inovation in the beginning
            async createInovasi(){
                let data = this.formData(this.currentData)
                let url = 'insert/innovations'
                await axios.post(url,data).then(response => {
                   this.currentData.id = response.data
                   this.dataComments.innovation_id = response.data
                })
                this.createComments();
            },
            async createComments(){
                this.dataComments.data = []
                this.dataComments.data = JSON.stringify(this.comments)
                let data = this.formData(this.dataComments)
                let url = 'insert/comments'
                await axios.post(url,data).then(response => {
                   this.dataComments.id = response.data
                })
            },

            //function send data comment
            async insertComment(){
                let data = this.formData(this.dataComments)
                // console.log(this.dataComments)
                let id = this.dataComments.id
                let url = `update/comments/${id}`
                await axios.post(url,data).then(response => {
                   this.dataComments.id = response.data
                })
            },
            //function send data to backend (/form2/send/Id) and get the the current Id
            async insertData(){
                let data = this.formData(this.currentData)
                let id = this.currentData.id
                let url = `update/innovations/${id}`
                await axios.post(url,data).then(response => {
                //    this.currentData.id = response.data
                })
            },
            back(visit){
                this.submit()
                let data = {
                    visit
                }
                this.$emit('datacomponent', data)
            },
            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,
                    visit
                }
                this.$emit('datacomponent', data)
            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
                }
                if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
                }
              }
            },

            //function for activing upload file when user upload the file
            uploadFileAnggaran() {
                this.$refs.file_anggaran.active = true
            },
            uploadFileProses() {
                this.$refs.file_proses.active = true
            },
            uploadLogo() {
                this.$refs.logo.active = true
            },
            uploadPhotos() {
                // if (this.photos.length <= 3) {
                    this.$refs.photos.active = true
                // }
            },

            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },

            //remove file
            removeAnggaran(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.file_anggaran.remove(file)
            },
            removeProses(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.file_proses.remove(file)
            },
            removePhotos(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.photos.remove(file)
            },
            removeLogo(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.logo.remove(file)
            },

            removeFile(file){
                let data = this.formData(file)
                let url = 'delete/files'
                axios.post(url,data).then(response => {
                //    this.currentData.id = response.data
                })
            },

            getFile(link){
            //   return `/${this.image_folder}/${link}`
              return `/${this.image_folder}/file.png`
            },
        },
    }
</script>

<style>

</style>
